Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmRepeatPattern

    public interface ICmRepeatPattern

Field Summary
`static int` | `BYWEEK_FIFTH` The value that represents the 'fifth week'.
`static int` | `BYWEEK_FIRST` The value that represents the 'first week'.
`static int` | `BYWEEK_FOURTH` The value that represents the 'fourth week'.
`static int` | `BYWEEK_SECOND` The value that represents the 'second week'.
`static int` | `BYWEEK_THIRD` The value that represents the 'third week'.
`static ItemClass` | `CLASS` The recipient item class.
`static int` | `FRIDAY` The value that represents the day Friday.
`static int` | `KEYID_REPEAT_ADJUST` The `int` ID for the `REPEAT_ADJUST` key.
`static int` | `KEYID_REPEAT_CUSTOM_DATES` The `int` ID for the `REPEAT_CUSTOM_DATES` key.
`static int` | `KEYID_REPEAT_FOR` The `int` ID for the `REPEAT_FOR` key.
`static int` | `KEYID_REPEAT_FOR_UNIT` The `int` ID for the `REPEAT_FOR_UNIT` key.
`static int` | `KEYID_REPEAT_HOW` The `int` ID for the `REPEAT_HOW` key.
`static int` | `KEYID_REPEAT_INTERVAL` The `int` ID for the `REPEAT_INTERVAL` key.
`static int` | `KEYID_REPEAT_START_DATE` The `int` ID for the `REPEAT_START_DATE` key.
`static int` | `KEYID_REPEAT_TYPE` The `int` ID for the `REPEAT_TYPE` key.
`static int` | `KEYID_REPEAT_UNTIL_DATE` The `int` ID for the `REPEAT_UNTIL_DATE` key.
`static int` | `KEYID_REPEAT_WEEKENDS` The `int` ID for the `REPEAT_WEEKENDS` key.
`static int` | `MONDAY` The value that represents the day Monday.
`static Key` | `REPEAT_ADJUST` Represents the repeat 'adjust'.
`static Key` | `REPEAT_CUSTOM_DATES` Represents the repeat custom dates.
`static Key` | `REPEAT_FOR` Represents the repeat 'for'.
`static Key` | `REPEAT_FOR_UNIT` Represents the repeat 'for' units.
`static Key` | `REPEAT_HOW` Represents the repeat 'how'.
`static Key` | `REPEAT_INTERVAL` Represents the repeat interval.
`static Key` | `REPEAT_START_DATE` Represents the repeat start date.
`static Key` | `REPEAT_TYPE` Represents the repeat type.
`static Key` | `REPEAT_UNTIL_DATE` Represents the repeat until date.
`static Key` | `REPEAT_WEEKENDS` Represents the repeat weekends.
`static int` | `SATURDAY` The value that represents the day Saturday.
`static int` | `SUNDAY` The value that represents the day Sunday.
`static int` | `THURSDAY` The value that represents the day Thursday.
`static int` | `TUESDAY` The value that represents the day Tuesday.
`static int` | `UPDATE_ALL` The value that represents the update all rule.
`static int` | `UPDATE_THIS_INSTANCE` The value that represents the update this instance rule.
`static int` | `WEDNESDAY` The value that represents the day Wednesday.

Method Summary
`RepeatAdjust` | `getAdjust()` Gets the adjust for the repeat pattern.
`String[]` | `getAdjustValuesArray()` Gets the adjust for the repeat pattern.
`Date[]` | `getCustomDates()` Gets the custom dates for the repeat pattern.
`int` | `getFor()` Gets the 'repeat for' for this repeat pattern.
`int` | `getInterval()` Gets the repeat interval.
`RepeatForUnit` | `getRepeatForUnit()` Gets the repeat for unit.
`RepeatHow` | `getRepeatHow()` Gets the repeat how.
`RepeatType` | `getRepeatType()` Gets the repeat type.
`RepeatWeekends` | `getRepeatWeekends()` Gets the repeat weekends.
`Date` | `getStartDate()` Gets the start date for the repeat pattern.
`Date` | `getUntilDate()` Gets the until date.

Field Detail

### BYWEEK_FIRST

    static final int BYWEEK_FIRST

  The value that represents the 'first week'.

  See Also
    Constants Summary

### BYWEEK_SECOND

    static final int BYWEEK_SECOND

  The value that represents the 'second week'.

  See Also
    Constants Summary

### BYWEEK_THIRD

    static final int BYWEEK_THIRD

  The value that represents the 'third week'.

  See Also
    Constants Summary

### BYWEEK_FOURTH

    static final int BYWEEK_FOURTH

  The value that represents the 'fourth week'.

  See Also
    Constants Summary

### BYWEEK_FIFTH

    static final int BYWEEK_FIFTH

  The value that represents the 'fifth week'.

  See Also
    Constants Summary

### SUNDAY

    static final int SUNDAY

  The value that represents the day Sunday.

  See Also
    Constants Summary

### MONDAY

    static final int MONDAY

  The value that represents the day Monday.

  See Also
    Constants Summary

### TUESDAY

    static final int TUESDAY

  The value that represents the day Tuesday.

  See Also
    Constants Summary

### WEDNESDAY

    static final int WEDNESDAY

  The value that represents the day Wednesday.

  See Also
    Constants Summary

### THURSDAY

    static final int THURSDAY

  The value that represents the day Thursday.

  See Also
    Constants Summary

### FRIDAY

    static final int FRIDAY

  The value that represents the day Friday.

  See Also
    Constants Summary

### SATURDAY

    static final int SATURDAY

  The value that represents the day Saturday.

  See Also
    Constants Summary

### UPDATE_ALL

    static final int UPDATE_ALL

  The value that represents the update all rule.

  See Also
    Constants Summary

### UPDATE_THIS_INSTANCE

    static final int UPDATE_THIS_INSTANCE

  The value that represents the update this instance rule.

  See Also
    Constants Summary

### KEYID_REPEAT_TYPE

    static final int KEYID_REPEAT_TYPE

  The `int` ID for the `REPEAT_TYPE` key.

  See Also
    Constants Summary

### KEYID_REPEAT_INTERVAL

    static final int KEYID_REPEAT_INTERVAL

  The `int` ID for the `REPEAT_INTERVAL` key.

  See Also
    Constants Summary

### KEYID_REPEAT_FOR_UNIT

    static final int KEYID_REPEAT_FOR_UNIT

  The `int` ID for the `REPEAT_FOR_UNIT` key.

  See Also
    Constants Summary

### KEYID_REPEAT_FOR

    static final int KEYID_REPEAT_FOR

  The `int` ID for the `REPEAT_FOR` key.

  See Also
    Constants Summary

### KEYID_REPEAT_WEEKENDS

    static final int KEYID_REPEAT_WEEKENDS

  The `int` ID for the `REPEAT_WEEKENDS` key.

  See Also
    Constants Summary

### KEYID_REPEAT_ADJUST

    static final int KEYID_REPEAT_ADJUST

  The `int` ID for the `REPEAT_ADJUST` key.

  See Also
    Constants Summary

### KEYID_REPEAT_START_DATE

    static final int KEYID_REPEAT_START_DATE

  The `int` ID for the `REPEAT_START_DATE` key.

  See Also
    Constants Summary

### KEYID_REPEAT_CUSTOM_DATES

    static final int KEYID_REPEAT_CUSTOM_DATES

  The `int` ID for the `REPEAT_CUSTOM_DATES` key.

  See Also
    Constants Summary

### KEYID_REPEAT_UNTIL_DATE

    static final int KEYID_REPEAT_UNTIL_DATE

  The `int` ID for the `REPEAT_UNTIL_DATE` key.

  See Also
    Constants Summary

### KEYID_REPEAT_HOW

    static final int KEYID_REPEAT_HOW

  The `int` ID for the `REPEAT_HOW` key.

  See Also
    Constants Summary

### REPEAT_TYPE

    static final Key REPEAT_TYPE

  Represents the repeat type.

### REPEAT_INTERVAL

    static final Key REPEAT_INTERVAL

  Represents the repeat interval.

### REPEAT_FOR_UNIT

    static final Key REPEAT_FOR_UNIT

  Represents the repeat 'for' units.

### REPEAT_FOR

    static final Key REPEAT_FOR

  Represents the repeat 'for'.

### REPEAT_WEEKENDS

    static final Key REPEAT_WEEKENDS

  Represents the repeat weekends.

### REPEAT_HOW

    static final Key REPEAT_HOW

  Represents the repeat 'how'.

### REPEAT_ADJUST

    static final Key REPEAT_ADJUST

  Represents the repeat 'adjust'.

### REPEAT_START_DATE

    static final Key REPEAT_START_DATE

  Represents the repeat start date.

### REPEAT_CUSTOM_DATES

    static final Key REPEAT_CUSTOM_DATES

  Represents the repeat custom dates.

### REPEAT_UNTIL_DATE

    static final Key REPEAT_UNTIL_DATE

  Represents the repeat until date.

### CLASS

    static final ItemClass CLASS

  The recipient item class.

Method Detail

### getFor

    int getFor()
               throws CollaborationException

  Gets the 'repeat for' for this repeat pattern.

  Returns
    the 'repeat for'
  Throws
    `CollaborationException`
  See Also
    `RepeatForUnit`, `getRepeatForUnit()`, `RepeatHow`, `RepeatHowEnum.FOR`

### getInterval

    int getInterval()
                    throws CollaborationException

  Gets the repeat interval.

  Returns
    the interval
  Throws
    `CollaborationException`

### getRepeatForUnit

    RepeatForUnit getRepeatForUnit()
                                   throws CollaborationException

  Gets the repeat for unit.

  Returns
    the repeat for unit
  Throws
    `CollaborationException`
  See Also
    `RepeatHow`, `RepeatHowEnum.FOR`

### getRepeatHow

    RepeatHow getRepeatHow()
                           throws CollaborationException

  Gets the repeat how.

  Returns
    the repeat how
  Throws
    `CollaborationException`

### getRepeatWeekends

    RepeatWeekends getRepeatWeekends()
                                     throws CollaborationException

  Gets the repeat weekends.

  Returns
    the repeat weekends
  Throws
    `CollaborationException`

### getRepeatType

    RepeatType getRepeatType()
                             throws CollaborationException

  Gets the repeat type.

  Returns
    the repeat type
  Throws
    `CollaborationException`

### getUntilDate

    Date getUntilDate()
                      throws CollaborationException

  Gets the until date.

  Returns
    the until date
  Throws
    `CollaborationException`
  See Also
    `RepeatHow`, `RepeatHowEnum.UNTIL`

### getStartDate

    Date getStartDate()
                      throws CollaborationException

  Gets the start date for the repeat pattern.

  Returns
    the start date
  Throws
    `CollaborationException`

### getCustomDates

    Date[] getCustomDates()
                          throws CollaborationException

  Gets the custom dates for the repeat pattern.

  Returns
    the custom dates
  Throws
    `CollaborationException`

### getAdjust

    RepeatAdjust getAdjust()
                           throws CollaborationException

  Gets the adjust for the repeat pattern.

  Returns
    the repeat adjust
  Throws
    `CollaborationException`

### getAdjustValuesArray

    String[] getAdjustValuesArray()
                                  throws CollaborationException

  Gets the adjust for the repeat pattern.

  Returns
    the repeat adjust
  Throws
    `CollaborationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved